<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: src/SpawnData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SpawnData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="SpawnData_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef SpawnData_H</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define SpawnData_H</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="structSpawnData.html">    8</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structSpawnData.html">SpawnData</a>{</div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="structSpawnData.html#a7dbcdb2372f454cb0a9e9ba2cf6f928c">    9</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structSpawnData.html#a7dbcdb2372f454cb0a9e9ba2cf6f928c">m_SpawnTime</a>;</div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="structSpawnData.html#a6261def8d6e18977d90335aa6a4d7fad">   10</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structSpawnData.html#a6261def8d6e18977d90335aa6a4d7fad">m_SpawnYPos</a>;</div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="structSpawnData.html#ac375468dd68b6a9541b039e933dbb52b">   11</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structSpawnData.html#ac375468dd68b6a9541b039e933dbb52b">m_Type</a>;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;};</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* SpawnData_H */</span><span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="astructSpawnData_html_a6261def8d6e18977d90335aa6a4d7fad"><div class="ttname"><a href="structSpawnData.html#a6261def8d6e18977d90335aa6a4d7fad">SpawnData::m_SpawnYPos</a></div><div class="ttdeci">int m_SpawnYPos</div><div class="ttdef"><b>Definition:</b> SpawnData.h:10</div></div>
<div class="ttc" id="astructSpawnData_html_a7dbcdb2372f454cb0a9e9ba2cf6f928c"><div class="ttname"><a href="structSpawnData.html#a7dbcdb2372f454cb0a9e9ba2cf6f928c">SpawnData::m_SpawnTime</a></div><div class="ttdeci">int m_SpawnTime</div><div class="ttdef"><b>Definition:</b> SpawnData.h:9</div></div>
<div class="ttc" id="astructSpawnData_html"><div class="ttname"><a href="structSpawnData.html">SpawnData</a></div><div class="ttdoc">Struct to store data from level file.</div><div class="ttdef"><b>Definition:</b> SpawnData.h:8</div></div>
<div class="ttc" id="astructSpawnData_html_ac375468dd68b6a9541b039e933dbb52b"><div class="ttname"><a href="structSpawnData.html#ac375468dd68b6a9541b039e933dbb52b">SpawnData::m_Type</a></div><div class="ttdeci">int m_Type</div><div class="ttdef"><b>Definition:</b> SpawnData.h:11</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
